server {
        listen       80;
        server_name  _;
        access_log /var/log/nginx/api.jstick.ru-access.log;
        error_log /var/log/nginx/api.jstick.ru-error.log;
        return 301 https://$host$request_uri;

}

server {
    listen 443 ssl;
    server_name goroshek.ru;
    
    ssl_certificate "/home/ubuntu/acme.sh/goroshek.ru/fullchain.cer";
    ssl_certificate_key "/home/ubuntu/acme.sh/goroshek.ru/goroshek.ru.key";
    ssl_ciphers HIGH:!aNULL:!MD5;
    
    location / {
        proxy_pass http://{{instahelper_host_ip}}:{{instahelper_host_port}}/;
        proxy_set_header Host $host;
        proxy_ssl_server_name on;
        proxy_set_header X-Forwarded-Proto https;
        proxy_ssl_name goroshek.ru;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

}

server {

    listen 443 ssl;
    server_name prometheus.goroshek.ru;

    ssl_certificate "/home/ubuntu/acme.sh/goroshek.ru/fullchain.cer";
    ssl_certificate_key "/home/ubuntu/acme.sh/goroshek.ru/goroshek.ru.key";
    ssl_ciphers HIGH:!aNULL:!MD5;

    location / {
        proxy_pass http://{{ prometheus_host_ip }}:{{ prometheus_host_port }}/;
        proxy_set_header Host $host;
        proxy_ssl_server_name on;
        proxy_set_header X-Forwarded-Proto https;
	proxy_ssl_name prometheus.goroshek.ru;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

}

server {
  
    listen 443 ssl;
    server_name grafana.goroshek.ru;

    ssl_certificate "/home/ubuntu/acme.sh/goroshek.ru/fullchain.cer";
    ssl_certificate_key "/home/ubuntu/acme.sh/goroshek.ru/goroshek.ru.key";
    ssl_ciphers HIGH:!aNULL:!MD5;
    access_log /var/log/nginx/grafana.goroshek.ru-access.log;
    error_log /var/log/nginx/grafana.goroshek.ru-error.log;
   
    location / {
        proxy_pass http://{{ grafana_host_ip }}:{{ grafana_host_port }}/;
        proxy_set_header Host $host;
        proxy_ssl_server_name on;
	proxy_ssl_name grafana.goroshek.ru;
        proxy_set_header X-Forwarded-Proto https;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

server {

    listen 443 ssl;
    server_name node.goroshek.ru;

    ssl_certificate "/home/ubuntu/acme.sh/goroshek.ru/fullchain.cer";
    ssl_certificate_key "/home/ubuntu/acme.sh/goroshek.ru/goroshek.ru.key";
    ssl_ciphers HIGH:!aNULL:!MD5;

    location / {
        proxy_pass http://{{ node_host_ip }}:{{ node_host_port }}/;
        proxy_set_header Host $host;
        proxy_ssl_server_name on;
        proxy_set_header X-Forwarded-Proto https;
        proxy_ssl_name node.goroshek.ru;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

server {

    listen 443 ssl;
    server_name promtail.goroshek.ru;

    ssl_certificate "/home/ubuntu/acme.sh/goroshek.ru/fullchain.cer";
    ssl_certificate_key "/home/ubuntu/acme.sh/goroshek.ru/goroshek.ru.key";
    ssl_ciphers HIGH:!aNULL:!MD5;

    location / {
        proxy_pass http://{{ promtail_host_ip }}:{{ promtail_host_port }}/;
        proxy_set_header Host $host;
        proxy_ssl_server_name on;
        proxy_set_header X-Forwarded-Proto https;
	proxy_ssl_name promtail.goroshek.ru;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

server {

    listen 443 ssl;
    server_name test.goroshek.ru;

    ssl_certificate "/home/ubuntu/acme.sh/goroshek.ru/fullchain.cer";
    ssl_certificate_key "/home/ubuntu/acme.sh/goroshek.ru/goroshek.ru.key";
    ssl_ciphers HIGH:!aNULL:!MD5;

    location / {
        proxy_pass http://{{ test_host_ip }}:{{ test_host_port }}/;
        proxy_set_header Host $host;
        proxy_ssl_server_name on;
        proxy_set_header X-Forwarded-Proto https;
	proxy_ssl_name test.goroshek.ru;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

